#pragma once
#include <map>
struct Fish_TorpedoRankRewardCFGData
{
	//ID
	int mID;
	//排行类型
	int mRankType;
	//鱼雷ID
	int mTorpedoId;
	//开始排名
	int mStartRank;
	//结束排名
	int mEndRank;
	//奖励道具列表
	std::vector<int> mRewardList;
	//奖励数量
	std::vector<int> mRewardCount;
	//类型
	int mType;
};

class Fish_TorpedoRankRewardCFG
{
public:
private:
	static std::auto_ptr<Fish_TorpedoRankRewardCFG> msSingleton;
public:
	int GetCount();
	const Fish_TorpedoRankRewardCFGData* GetData(int ID);
	const std::map<int, Fish_TorpedoRankRewardCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static Fish_TorpedoRankRewardCFG* GetSingleton();
	static void Release();
private:
	std::map<int, Fish_TorpedoRankRewardCFGData> mMapData;
};
